php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #28252 ncurses support without a cygwin install.
Submitted: 2004-05-02 14:53 UTC Modified: 2016-11-30 17:04 UTC
From: testic at testic dot demon dot co dot uk Assigned: cmb (profile)
Status: Closed Package: ncurses (PECL)
PHP Version: * OS: Win32
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: testic at testic dot demon dot co dot uk
New email:
PHP Version: OS:

 

 [2004-05-02 14:53 UTC] testic at testic dot demon dot co dot uk
Description:
------------
I am working on an application written in PHP that uses the ncurses functions, I would like this application to work on win32 machines also. However, I dont want the users required to have a fullblown cygwin install (this is fiddly at best, and win32 users....). I have seen applications written in C for Unix that make use of cygwin.dll and/or cygwindevo.dll, presumably to get Unix-like functionality on Windows, however I have been unable to make any use of this with PHP.

So really my request could be summarised thus:
Ncurses functioning 'natively' under Win32, without the need for cygwin, preferably implemented using an extension dll as per other PHP extensions in Windows.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2004-05-02 15:46 UTC] helly@php.net
Why not simply compile PHP under cygwin too?
 [2004-05-02 15:51 UTC] testic at testic dot demon dot co dot uk
That's a very good point, I will look into it.
 [2004-05-03 18:42 UTC] testic at testic dot demon dot co dot uk
Well, unfortunatley compiling with Cygwin is a bit beyond me. However I would still like to make this a formal request, admittedly for a feature not many other people would need. But still, there we have.
 [2015-06-26 11:58 UTC] cmb@php.net
-Package: Feature/Change Request +Package: ncurses -PHP Version: 4.3.4 +PHP Version: *
 [2016-11-30 17:04 UTC] cmb@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: cmb
 [2016-11-30 17:04 UTC] cmb@php.net
There are native Windows DLLs available for ncurses 1.0.2.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sat Dec 14 18:01:24 2019 UTC